#include <iostream>
using namespace std;


int main() {

    int Kada_je_otac_kupio_plazmu;
    int od_kog_dana_cerka_jede_plazmu;

    cin >> Kada_je_otac_kupio_plazmu >> od_kog_dana_cerka_jede_plazmu;

  
    long maksimalan_broj_dana[300000];
   

    for (int j = 0; j < Kada_je_otac_kupio_plazmu;j++) {

        cin >> maksimalan_broj_dana[j];


    }


    

    for (int j = 0;j < od_kog_dana_cerka_jede_plazmu; j++) {



        long koji_je_Dan;
        cin >> koji_je_Dan;

        long brojac = 0;

        for (int m = 0;m < Kada_je_otac_kupio_plazmu; m++) {
            
            if (maksimalan_broj_dana[m] <= koji_je_Dan) {

                brojac++;



            }

            else {

                break;



            }


        }



        cout << brojac << "\n";



    }


























    return 0;
}


























    return 0;
}